<?php

namespace Drupal\page_to_pdf\Plugin\Filter;

use Drupal\filter\FilterProcessResult;
use Drupal\filter\Plugin\FilterBase;

/**
 * Make the CK Editor 4 page break output more usable by the front-end team.
 *
 * @Filter(
 *   id = "filter_pagebreaks",
 *   title = @Translation("Pagebreaks filter"),
 *   description = @Translation("Improve the page break output markup adding a CSS class of 'u-page-break'."),
 *   type = Drupal\filter\Plugin\FilterInterface::TYPE_MARKUP_LANGUAGE,
 * )
 */
class PagebreakFilter extends FilterBase {

  /**
   * {@inheritdoc}
   */
  public function process($text, $langcode) {
    if (\Drupal::service('module_handler')->moduleExists('pagebreak')) {
      $text = str_replace('<div style="page-break-after:', '<div class="u-page-break" style="page-break-after:', $text);
    }
    return new FilterProcessResult($text);
  }

}
